{% extends 'base.html.twig' %}

{% block title %} Calculate Turnover {% endblock %}
{% block myTitle %} 
    Turnover : {{ sum }} euros
{% endblock %}
{% block body %}
    {% for message in app.flashes('success') %}
        <div class="alert alert-success">
            {{ message }}
        </div>
    {% endfor %}

    {# <a href="{{ path('app_admin_subscription_creation') }}" class="btn btn-success"> Add Subscription</a> #}



    {% if showForm %}
        <form name="frmSearch" style="display:inline-block" method="POST" action="{{ path('app_admin_calculate_turnover') }}">
            <p>
                <label> Start Date</label>
                <input type="datetime-local" label="Start Date" id="start_date" name="start_date" REQUIRED>
                <label> End Date</label>
                <input type="datetime-local" label="End Date" id="end_date" name="end_date" REQUIRED>
                <input type="hidden" name="search" value="search">
                <input type="submit" name="go" value="Search" >
            </p>
        </form>
    {% else %}
        <table class="table text-center">
            <tr class="table-primary">
                <td> Date </td>                               
                <td> Amount (euros)</td>                               
                <td> Subscription </td>                                                         
            </tr>
            {% for transaction in transactions %}
                <tr>
                    <td> {{ transaction.date|date('Y-m-d H:i:s') }}</td>
                    <td> {{ transaction.amount }}</td>
                    <td> {{ transaction.subscription.name }}</td>
                </tr> 
            {% endfor %}
        </table>    
    {% endif %}
    


{% endblock %}